## org.eclipse.emf.ocl.query.util
Class QueryAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ocl.query.util.QueryAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Deprecated. The `Query` API is not an element, of the OCL abstract syntax model.

    @Deprecated
    public class QueryAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `QueryPackage`

Field Summary
`static String` `copyright` Deprecated.
`protected static QueryPackage` `modelPackage` Deprecated. The cached model package
`protected QuerySwitch` `modelSwitch` Deprecated. The switch the delegates to the `createXXX` methods

Constructor Summary
`QueryAdapterFactory()` Deprecated. Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Deprecated. Creates an adapter for the `target`
`Adapter` `createEObjectAdapter()` Deprecated. Creates a new adapter for the default case
`Adapter` `createQueryAdapter()` Deprecated. Creates a new adapter for an object of class '`Query`'
`boolean` `isFactoryForType(Object object)` Deprecated. Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### modelPackage

    protected static QueryPackage modelPackage

  Deprecated.
  The cached model package.

### modelSwitch

    protected QuerySwitch modelSwitch

  Deprecated.
  The switch the delegates to the `createXXX` methods.

Constructor Detail

### QueryAdapterFactory

    public QueryAdapterFactory()

  Deprecated.
  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Deprecated.
  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Deprecated.
  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createQueryAdapter

    public Adapter createQueryAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Query`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Deprecated.
  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.